Page MenuHomePhabricator

Create moon.wikimedia.org and redirect it to https://meta.wikimedia.org/wiki/Wikipedia_to_the_Moon
Closed, ResolvedPublic

Description

Hi,

Wikipedians from different language projects are editing https://meta.wikimedia.org/wiki/Wikipedia_to_the_Moon (and its subpages). We are looking for a URL “moon.wikimedia.org”, which would redirect to the above Meta-Wiki page. Wikipedia to the Moon will remain in community discussion and subsequent voting mode until June 30, 2016. Beginning July 1, 2016 we will switch to working on assembling data from different Wikipedias, in order to put them on a Wikipedia-centric data disc for an upcoming lunar mission. The requested URL “moon.wikimedia.org” has been discussed with the WMF Communications team. If it is in place, it will be used for public communication about the project’s status.

Martin (WMDE) for the Moon team

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 30 2016, 2:21 PM
Restricted Application added a project: Traffic. · View Herald TranscriptMay 30 2016, 3:02 PM
BBlack added a subscriber: BBlack.

Unclear from the description: Is it intended that moon always redirects to this metawiki page for the duration of the project, or is it transitioning to some other sort of micro-site for public communications post July 1?

Unclear from the description: Is it intended that moon always redirects to this metawiki page for the duration of the project, or is it transitioning to some other sort of micro-site for public communications post July 1?

Hi,
The project will run at least until reaching the moon in order to have an easily linkable page where press and people can be send to. The actual take-off is not yet fixed but is planned for 2017/8. My idea is to have it run indefinitely (not infinitely) for now until we have clearer dates. Is that okay with you?

Cheers,
Martin

BBlack added a comment.Jun 3 2016, 4:44 PM

I'm not so much asking about the total timeline, but about whether the intent is that it will be a redirect to the raw real-time-edited meta-wiki page this whole time, or eventually switch to being some kind of designed microsite (e.g. https://transparency.wikimedia.org ).

Change 292771 had a related patch set uploaded (by Dzahn):
add moon.wikimedia.org, point to cluster

https://gerrit.wikimedia.org/r/292771

Change 292772 had a related patch set uploaded (by Dzahn):
redirect moon.wikimedia.org to meta page

https://gerrit.wikimedia.org/r/292772

Change 292771 merged by Dzahn:
add moon.wikimedia.org, point to cluster

https://gerrit.wikimedia.org/r/292771

Dzahn added a subscriber: Dzahn.Jun 6 2016, 6:31 PM

added to DNS:

moon.wikimedia.org has address 198.35.26.96
moon.wikimedia.org has IPv6 address 2620:0:863:ed1a::1

works, default page as of right now

https://moon.wikimedia.org/

Change 292772 merged by Dzahn:
redirect moon.wikimedia.org to meta page

https://gerrit.wikimedia.org/r/292772

Dzahn added a comment.Jun 6 2016, 8:12 PM

after having to purge the cached default page from varnish because Apache config has a default vhost (that is not a 404), now the redirect is active

https://meta.wikimedia.org/wiki/Wikipedia_to_the_Moon

Dzahn closed this task as Resolved.Jun 6 2016, 8:43 PM
Dzahn claimed this task.